<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">


<hibernate-mapping default-lazy="false" default-cascade="none">
    <class entity-name="SurveyQuestionsAndAnswers" table="SURVEY_QUESTION_ANSWER" lazy="false" name="gov.va.med.cds.template.generated.surveyscommon.SurveyQuestionAndAnswer">
        <id type="java.lang.Long" name="id">
            <column name="SURVEY_QUESTION_ANSWER_ID"/>
            <generator class="sequence" >
				<param name="sequence">survey_question_answer_seq_id</param>
			</generator>
        </id>

		<many-to-one name="surveyChoice" entity-name="SurveyChoice" column="SURVEY_CHOICE_ID" unique="true"/>

    </class>
    
</hibernate-mapping>
